Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAuthError

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAuthError

All Implemented Interfaces:
  `Serializable`, `Idable`

public class VoiceAuthError extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoiceAuthError.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceAuthError()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceAuthError.Builder`
  `builder()`
  `int`
  `getAccountId()`
  `String`
  `getAccountTitle()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `int`
  `getDeviceId()`
  `String`
  `getDeviceTitle()`
  `int`
  `getErrorCode()`
  `String`
  `getErrorText()`
  `Date`
  `getLastErrorTime()`
  `int`
  `getLogCoordinateRecordId()`
  `VoiceAuthError`
  `setAccountId(int accountId)`
  `VoiceAuthError`
  `setAccountTitle(String accountTitle)`
  `VoiceAuthError`
  `setContractId(int contractId)`
  `VoiceAuthError`
  `setContractTitle(String contractTitle)`
  `VoiceAuthError`
  `setDeviceId(int deviceId)`
  `VoiceAuthError`
  `setDeviceTitle(String deviceTitle)`
  `VoiceAuthError`
  `setErrorCode(int errorCode)`
  `VoiceAuthError`
  `setErrorText(String errorText)`
  `VoiceAuthError`
  `setLastErrorTime(Date lastErrorTime)`
  `VoiceAuthError`
  `setLogCoordinateRecordId(int logCoordinateRecordId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceAuthError

    public VoiceAuthError()

- ## Method Details

  - ### getErrorCode

    public int getErrorCode()

  - ### setErrorCode

    public VoiceAuthError setErrorCode(int errorCode)

  - ### getErrorText

    public String getErrorText()

  - ### setErrorText

    public VoiceAuthError setErrorText(String errorText)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public VoiceAuthError setDeviceId(int deviceId)

  - ### getDeviceTitle

    public String getDeviceTitle()

  - ### setDeviceTitle

    public VoiceAuthError setDeviceTitle(String deviceTitle)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public VoiceAuthError setContractId(int contractId)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public VoiceAuthError setContractTitle(String contractTitle)

  - ### getLastErrorTime

    public Date getLastErrorTime()

  - ### setLastErrorTime

    public VoiceAuthError setLastErrorTime(Date lastErrorTime)

  - ### getLogCoordinateRecordId

    public int getLogCoordinateRecordId()

  - ### setLogCoordinateRecordId

    public VoiceAuthError setLogCoordinateRecordId(int logCoordinateRecordId)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public VoiceAuthError setAccountId(int accountId)

  - ### getAccountTitle

    public String getAccountTitle()

  - ### setAccountTitle

    public VoiceAuthError setAccountTitle(String accountTitle)

  - ### builder

    public static VoiceAuthError.Builder builder()